org.gradle.api.plugins

## Class WarPluginConvention

- java.lang.Object
- - org.gradle.api.plugins.WarPluginConvention

-     public class WarPluginConvention
      extends Object

  A `Convention` used for the WarPlugin.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WarPluginConvention(Project project)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Project` | `getProject()`
    `File` | `getWebAppDir()` Returns the web application directory.
    `String` | `getWebAppDirName()` The name of the web application directory, relative to the project directory.
    `void` | `setWebAppDirName(String webAppDirName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WarPluginConvention

          public WarPluginConvention(Project project)

  - ### Method Detail

    - #### getWebAppDir

          public File getWebAppDir()

      Returns the web application directory.

    - #### getWebAppDirName

          public String getWebAppDirName()

      The name of the web application directory, relative to the project directory.

    - #### setWebAppDirName

          public void setWebAppDirName(String webAppDirName)

    - #### getProject

          public final Project getProject()